Bug 1792131 - [UI] Could not specify organization/location for users that come from keycloak
Summary: [UI] Could not specify organization/location for users that come from keycloak
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Rahul Bajaj
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 06:20 UTC by Nikhil Kathole
Modified: 2020-05-26 11:14 UTC (History)
3 users (show)

Fixed In Version: foreman-2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
New UI for LDAP (94.46 KB, image/png)
2020-02-17 12:39 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21987 Normal Closed New UI for Auth sources 2020-09-03 17:11:24 UTC

Description Nikhil Kathole 2020-01-17 06:20:53 UTC
Description of problem:

The bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1772398 just provide support of assigning organization/location for users that come from keycloak via hammer. There is no way of assigning organization/location for users from UI making UI functionality incomplete.


Version-Release number of selected component (if applicable):
Satellite 6.7 snap 8


How reproducible:
always

Steps to Reproduce:
1. Configure keycloak with satellite
2. Create role in foreman with activation key view/delete/update/create permissions
3. Create usergroup in keycloak
4. Create usergroup with external usergroup as per keycloak and assign role created.
5. Login with user and visit activation key page.

Actual results:
Error 403 as user wont have org/loc assigned.

Expected results:
Find a way to assign a default org/location to users from UI that come from keycloak.

Additional info:

Earlier bugzilla raised https://bugzilla.redhat.com/show_bug.cgi?id=1772398 just resolve issue from CLI.

Comment 8 Omkar Khatavkar 2020-02-17 12:39:20 UTC
Created attachment 1663507 [details]
New UI for LDAP

New UI for LDAP Screenshot

Comment 9 Evgeni Golov 2020-02-18 11:16:20 UTC
ON_DEV is the wrong state for this BZ, flipping back to ASSIGNED based on comment 6.

Comment 10 Bryan Kearney 2020-02-18 13:02:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/21987 has been resolved.

Comment 15 Omkar Khatavkar 2020-05-26 11:14:48 UTC
Verified this Bugzilla, with Satellite 6.8 snap 1. User is getting assigned the Default Org and Location in case if users are from external auth and connected via user group.


Note You need to log in before you can comment on or make changes to this bug.